Get corporate card programme spending power
curl --request GET \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/wallet/balance \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/wallet/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/wallet/balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/wallet/balance"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"creditLimit": 50000,
"pendingCharges": 2500,
"postedCharges": 10000,
"balanceDue": 0,
"spendingPower": 25000,
"spendingPowerWithWallet": 30000
}Wallet
Get corporate card programme spending power
Returns the business EasyCard programme spending power and charges in cents. Spending power is shared across the company (pooled collateral). Cap individual cards with POST /cards//limits.
GET
/
api
/
v1
/
wallet
/
balance
Get corporate card programme spending power
curl --request GET \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/wallet/balance \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/wallet/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/wallet/balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/wallet/balance"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"creditLimit": 50000,
"pendingCharges": 2500,
"postedCharges": 10000,
"balanceDue": 0,
"spendingPower": 25000,
"spendingPowerWithWallet": 30000
}Authorizations
Bearer JWT issued to your business account during onboarding
Response
200 - application/json
Amount in cents
Example:
50000
Amount in cents
Example:
2500
Amount in cents
Example:
10000
Amount in cents
Example:
0
Available spending power in cents
Example:
25000
Spending power including linked wallet collateral, in cents
Example:
30000